Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## java.util
Enum Formatter.BigDecimalLayoutForm

    java.lang.Object
      java.lang.Enum<Formatter.BigDecimalLayoutForm>
          java.util.Formatter.BigDecimalLayoutForm

All Implemented Interfaces:
  Serializable, Comparable<Formatter.BigDecimalLayoutForm>

Enclosing class:
  Formatter

    public static enum Formatter.BigDecimalLayoutForm

extends Enum<Formatter.BigDecimalLayoutForm>

Enum Constant Summary
`DECIMAL_FLOAT`
`SCIENTIFIC`

Method Summary
`static Formatter.BigDecimalLayoutForm` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Formatter.BigDecimalLayoutForm[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SCIENTIFIC

    public static final Formatter.BigDecimalLayoutForm SCIENTIFIC

### DECIMAL_FLOAT

    public static final Formatter.BigDecimalLayoutForm DECIMAL_FLOAT

Method Detail

### values

    public static final Formatter.BigDecimalLayoutForm[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Formatter.BigDecimalLayoutForm c : Formatter.BigDecimalLayoutForm.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Formatter.BigDecimalLayoutForm valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.